Archive verification
Get bounded archive verification status
Response Body
application/json
curl -X GET "https://example.com/v1/archive-scans/objects/status-summary"{ "activeObjectChecks": 0, "checkpointCoverage": { "activeArchiveCheckpoints": 0, "archiveRootsWithState": 0, "categoryConsistencyFailedCheckpoints": 0, "categoryConsistencyNotEvaluatedCheckpoints": 0, "categoryConsistencyPendingCheckpoints": 0, "categoryConsistentArchiveCheckpoints": 0, "completeArchiveCheckpoints": 0, "durableVerifiedArchiveCheckpoints": 0, "discoveryCompleteArchiveRoots": 0, "expectedArchiveCheckpoints": 0, "failedArchiveCheckpoints": 0, "latestCheckpointLedger": 0, "missingArchiveCheckpoints": 0, "objectCompleteArchiveCheckpoints": 0, "oldestCheckpointLedger": 0, "partialArchiveCheckpoints": 0, "totalArchiveCheckpoints": 0 }, "generatedAt": "2019-08-24T14:15:22Z", "sourceCount": 0, "sourceLimit": 256, "sources": [ { "activeObjectChecks": 0, "archiveUrl": "http://example.com", "archiveUrlIdentity": "string", "currentLedger": 0, "durableVerifiedCheckpointProofs": 0, "latestCheckpointLedger": 0, "latestDiscoveredCheckpointLedger": 0, "mismatchCheckpointProofs": 0, "notEvaluableCheckpointProofs": 0, "objectCompleteCheckpointProofs": 0, "observedAt": "2019-08-24T14:15:22Z", "pendingCheckpointProofs": 0, "rootObjectStatus": "pending", "source": "backfill", "stateStatus": "available", "stateUrl": "http://example.com", "totalCheckpointProofs": 0, "verifiedCheckpointProofs": 0, "scanCoverage": { "checkedCheckpointPositions": 0, "listingCoveredCheckpointPositions": 0, "scannedCheckpointPositions": 0, "status": "reconciling", "updatedAt": "2019-08-24T14:15:22Z" }, "failureSummary": { "status": "current", "computedAt": "2019-08-24T14:15:22Z", "groups": [ { "objectType": "history-archive-state", "failureChannel": "archive_evidence", "errorType": "string", "errorMessage": "string", "httpStatus": 100, "count": 0, "knownAffectedCheckpointCount": 0, "unknownCheckpointFailureCount": 0 } ], "limit": 1, "totalGroups": 0, "remainingGroupCount": 0, "remainingFailureCount": 0, "remoteFailureCount": 0, "workerIssueCount": 0, "knownAffectedCheckpointCount": 0, "unknownCheckpointFailureCount": 0 } } ], "sourcesTruncated": true, "transitionReconciliation": { "oldestPendingAgeMs": 0, "oldestPendingAt": "2019-08-24T14:15:22Z", "pendingTerminalEffects": 0, "status": "caught-up" }}